<?php
define( '_VALID', 1 );
session_start();
require_once('../engine/admin.php');
?>
<?php if ( $admin_type == 'administrator' ) : ?>
<div class="dropdown" title="<?php $LANG->_e('sponsors') ?>">
  <img src="data/images/links1.gif" width="48" border="0" />
  <ul>
      <li><a href="links/sponsor_send.php"><?php $LANG->_e('Create new sponsor link') ?></a></li>
      <li><a href="ajaxmenu.php?page=sponsor_links" class="ajax x"><?php $LANG->_e('Manage sponsor links') ?></a>
          <ul>
              <!-- list creates by Ajax  -->
          </ul>
      </li>
      <li><a href="links/index.php?page=sponsor"><?php $LANG->_e('Ungrouped sponsor links') ?></a></li>
  </ul>
</div>
<?php ;endif; ?>
<div class="dropdown" title="<?php $LANG->_e('links') ?>">
  <img src="data/images/links2.gif" width="48" border="0" />
  <ul>
      <li><a href="links/send.php"><?php $LANG->_e('Create new link') ?></a></li>
      <li><a href="ajaxmenu.php?page=links" class="ajax x"><?php $LANG->_e('Links Management') ?></a>
          <ul>
              <!-- list creates by Ajax  -->
          </ul>
      </li>
      <li><a href="ajaxmenu.php?page=priority" class="ajax x" ><?php $LANG->_e('Edit Links Priority') ?></a>
          <ul>
              <!-- list creates by Ajax -->
          </ul>
      </li>
<?php if ( $admin_type == 'administrator' ) : ?>
      <li><a href="links/grouping.php"><?php $LANG->_e('Classification') ?></a></li>
      <li><a href="ajaxmenu.php?page=links_settings" class="ajax x" ><?php $LANG->_e('Links Settings') ?></a>
          <ul>
              <!-- list creates by Ajax -->
          </ul>
      </li>
      <li><a href="settings/links.php?page=All"><?php $LANG->_e('Settings of all groups') ?></a></li>
<?php ;endif; ?>
    </ul>
</div>
<div class="dropdown" title="<?php $LANG->_e('collect') ?>">
  <img src="data/images/blist.gif" width="48" border="0" />
  <ul>
      <li><a href="#" class="simple x" ><?php $LANG->_e('Not approved') ?></a>
          <ul>
              <li><a href="links/index.php?page=not_accept"><?php $LANG->_e('links') ?></a></li>
              <li><a href="adverts/index.php?page=not_accept"><?php $LANG->_e('adverts') ?></a></li>
          </ul>
      </li>
      <li><a href="links/blacklist.php"><?php $LANG->_e('Blacklist') ?></a></li>
      <li><a href="#" class="simple x" ><?php $LANG->_e('Disable') ?></a>
          <ul>
              <li><a href="links/index.php?page=disable"><?php $LANG->_e('links') ?></a></li>
              <li><a href="adverts/index.php?page=disable"><?php $LANG->_e('adverts') ?></a></li>
          </ul>
      </li>
      <li><a href="#" class="simple x" ><?php $LANG->_e('Search') ?></a>
          <ul>
              <li><a href="links/search.php"><?php $LANG->_e('links') ?></a></li>
              <li><a href="adverts/search.php"><?php $LANG->_e('adverts') ?></a></li>
          </ul>
      </li>
<?php if ( $admin_id == 1 ) : ?>
      <li><a href="#" class="simple x" ><?php $LANG->_e('Empty') ?></a>
          <ul>
              <li><a href="backup/removeall.php?page=not_accept&type=links"><?php $LANG->_e('Not approved links') ?></a></li>
              <li><a href="backup/removeall.php?page=not_accept&type=adverts"><?php $LANG->_e('Not approved adverts') ?></a></li>
              <li><a href="backup/removeall.php?page=blacklist"><?php $LANG->_e('Blacklist') ?></a></li>
              <li><a href="backup/removeall.php?page=disable&type=links"><?php $LANG->_e('Disable links') ?></a></li>
              <li><a href="backup/removeall.php?page=disable&type=adverts"><?php $LANG->_e('Disable adverts') ?></a></li>
          </ul>
      </li>
<?php ;endif; ?>
    </ul>
</div>
<div class="dropdown" title="<?php $LANG->_e('adverts') ?>">
  <img src="data/images/ads.gif" width="48" border="0" />
  <ul>
      <li><a href="adverts/send.php"><?php $LANG->_e('Create new advert') ?></a></li>
      <li><a href="ajaxmenu.php?page=adverts" class="ajax x" ><?php $LANG->_e('Adverts Management') ?></a>
          <ul>
              <!-- list creates by Ajax -->
          </ul>
      </li>
<?php if ( $admin_type == 'administrator' ) : ?>
      <li><a href="adverts/grouping.php"><?php $LANG->_e('Classification') ?></a></li>
      <li><a href="ajaxmenu.php?page=adverts_settings" class="ajax x" ><?php $LANG->_e('Adverts Settings') ?></a>
          <ul>
              <!-- list creates by Ajax -->
          </ul>
      </li>
      <li><a href="settings/adverts.php?page=All"><?php $LANG->_e('Settings of all groups') ?></a></li>
<?php ;endif; ?>
    </ul>
</div>
<div class="dropdown" title="<?php $LANG->_e('messages') ?>">
  <img src="data/images/mail.gif" width="48" border="0" />
  <ul>
      <li><a href="messages/index.php?page=inbox"><?php $LANG->_e('Inbox') ?></a></li>
      <li><a href="messages/new_template.php"><?php $LANG->_e('New template') ?></a></li>
      <li><a href="messages/index.php?page=templates"><?php $LANG->_e('Templates') ?></a></li>
      <li><a href="messages/send_pm.php"><?php $LANG->_e('Compose PM') ?></a></li>
      <li><a href="messages/index.php?page=received_pm"><?php $LANG->_e('Received PM') ?></a></li>
      <li><a href="messages/index.php?page=sent_pm"><?php $LANG->_e('Sent PM') ?></a></li>
    </ul>
</div>

<?php if ( $admin_type == 'administrator' ) : ?>
<div class="dropdown" title="<?php $LANG->_e('edits') ?>">
  <img src="data/images/template.gif" width="48" border="0" />
  <ul>
      <li><a href="#" class="simple x" ><?php $LANG->_e('Edit Template') ?></a>
          <ul>
            <?php
$open	=	opendir('../templates/');
while ( gettype( $file = readdir( $open ))!= 'boolean' ){
if ( $file != "." && $file != ".." && $file != "index.htm" ){
    echo '<li><a href="templates/index.php?template='.$file.'">'.$file.'</a></li>';
}
}
?>
          </ul>
      </li>
      <li><a href="#" class="simple x"><?php $LANG->_e('Template tags') ?></a>
          <ul>
              <li><a href="templates/tags.php?page=general"><?php $LANG->_e('Public code') ?></a></li>
              <li><a href="templates/tags.php?page=index"><?php $LANG->_e('Web Link') ?></a></li>
              <li><a href="templates/tags.php?page=archive"><?php $LANG->_e('Archive Links') ?></a></li>
              <li><a href="templates/tags.php?page=sendlink"><?php $LANG->_e('Send link') ?></a></li>
              <li><a href="templates/tags.php?page=source"><?php $LANG->_e('Get code') ?></a></li>
              <li><a href="templates/tags.php?page=statistic"><?php $LANG->_e('Statistics linkBox') ?></a></li>
              <li><a href="templates/tags.php?page=terms"><?php $LANG->_e('Terms') ?></a></li>
              <li><a href="templates/tags.php?page=contactus"><?php $LANG->_e('Contact us') ?></a></li>
              <li><a href="templates/tags.php?page=about"><?php $LANG->_e('About us') ?></a></li>
          </ul>
      </li>
      <li><a href="#" class="simple x" ><?php $LANG->_e('More pages') ?></a>
          <ul>
              <li><a href="templates/edit_morepages.php?page=about.htm" class="iframe"><?php $LANG->_e('About us') ?></a></li>
              <li><a href="templates/edit_morepages.php?page=terms.htm" class="iframe"><?php $LANG->_e('Terms') ?></a></li>
              <li><a href="templates/edit_morepages.php?page=redirect.htm" class="iframe"><?php $LANG->_e('redirector') ?></a></li>
              <li><a href="templates/edit_morepages.php?page=extracode.htm" class="iframe"><?php $LANG->_e('More codes') ?></a></li>
              <li><a href="templates/edit_morepages.php?page=offline.htm" class="iframe"><?php $LANG->_e('Message being inactive site') ?></a></li>
              <li><a href="templates/edit_morepages.php?page=welcom_members.htm" class="iframe"><?php $LANG->_e('Welcome Page of Members') ?></a></li>
          </ul>
      </li>
      <li><a href="templates/wordfilter.php"><?php $LANG->_e('Not acceptable words');//Not verified ?></a></li>
    </ul>
</div>
<?php ;endif; ?>
<!--Statistics -->
<div class="dropdown" title="<?php $LANG->_e('statistic') ?>">
  <img src="data/images/counter.gif" width="48" border="0"  />
  <ul>
      <li><a href="counter/index.php"><?php $LANG->_e('Statistics linkBox') ?></a></li>
<?php 
if($Config_use_statistic=='1'): 
if ( ($admin_type=='administrator') or (($admin_type=='limited') && ($Config_AdminLimitP & 8)) ):
?>
      <li><a href="../engine/charts_library/charts.php?source=<?php echo base64_encode('../../'.$Config_admin_path.'/counter/chart30day.php') ?>" class="iframe" ><?php $LANG->_e('statistics in 30 days') ?></a></li>
      <li><a href="counter/sitelist.php"><?php $LANG->_e('Inbound sites in 30 days') ?></a></li>
      <li><a href="../engine/charts_library/charts.php?source=<?php echo base64_encode('../../'.$Config_admin_path.'/counter/chartlastday.php') ?>" class="iframe" ><?php $LANG->_e('Top 10 members') ?></a></li>
      <li><a href="counter/checksites.php"><?php $LANG->_e('Monitoring sites in 3 days') ?></a></li>
<?php 
;endif;endif;
if ( ($admin_type=='administrator') or (($admin_type=='limited') && ($Config_AdminLimitM & 8)) ):
?>
      <li><a href="counter/checkmembers.php"><?php $LANG->_e('Users Status') ?></a></li>
<?php ;endif; ?>
    </ul>
</div>
<?php if ( $admin_id == 1 ) : ?>
<div class="dropdown" title="<?php $LANG->_e('backup') ?>">
  <img src="data/images/security.gif" width="48" border="0" />
  <ul>
      <li><a href="backup/index.php"><?php $LANG->_e('Create new Backup file') ?></a></li>
      <li><a href="backup/restore.php"><?php $LANG->_e('Restore Backup file') ?></a></li>
      <li><a href="tasks/index.php"><?php $LANG->_e('Task Manager') ?></a></li>
      <li><a href="logs.php"><?php $LANG->_e('Logs') ?></a></li>
  </ul>
</div>
<?php ;endif; ?>

<div class="dropdown" title="<?php $LANG->_e('home') ?>">
  <img src="data/images/home.gif" width="48" border="0" />
  <ul>
      <li><a href="counter/welcomescreen.php"><?php $LANG->_e('Welcome Page') ?></a></li>
<?php if ( $admin_id == 1 ) : ?>
      <li><a href="#" class="simple x" ><?php $LANG->_e('Administrators Area') ?></a>
          <ul>
              <li><a href="management/add.php"><?php $LANG->_e('Create new Admin') ?></a></li>
              <li><a href="management/index.php"><?php $LANG->_e('Management Admins') ?></a></li>
          </ul>
      </li>
<?php ;endif; ?>
      <li><a href="#" class="simple x" ><?php $LANG->_e('Members Area') ?></a>
          <ul>
              <li><a href="members/add.php"><?php $LANG->_e('Create new member') ?></a></li>
              <li><a href="members/index.php"><?php $LANG->_e('Management members') ?></a></li>
              <li><a href="members/index.php?id=banned"><?php $LANG->_e('Banned members') ?></a></li>
              <li><a href="members/index.php?id=suspended"><?php $LANG->_e('Suspended members') ?></a></li>
              <li><a href="members/search.php"><?php $LANG->_e('Search in members') ?></a></li>
          </ul>
      </li>
<?php if ( $admin_type == 'administrator' ) : ?>
      <li><a href="#" class="simple x" ><?php $LANG->_e('System settings') ?></a>
          <ul>
              <li><a href="settings/index.php"><?php $LANG->_e('General') ?></a></li>
              <li><a href="settings/monitoring.php"><?php $LANG->_e('Monitoring') ?></a></li>
              <li><a href="settings/admin.php"><?php $LANG->_e('Management and Members') ?></a></li>
              <li><a href="settings/source.php"><?php $LANG->_e('iframe') ?></a></li>
              <li><a href="settings/email.php"><?php $LANG->_e('E-mail') ?></a></li>
              <li><a href="settings/database.php"><?php $LANG->_e('Database') ?></a></li>
          </ul>
      </li>
<?php ;endif; ?>
      <li><a href="management/changinfo.php"><?php $LANG->_e('Change profile') ?></a></li>
  </ul>
</div>
<div id="no-animate" class="dropdown" title="<?php $LANG->_e('logout') ?>">
  <img src="data/images/support.gif" width="48" border="0" />
  <ul style="display:block;opacity:1;">
      <li><a href="http://mehrdaddesign.com/linkboxcms/index.php" target="_blank" >پشتیبان سیستم</a></li>
      <li><a href="http://lbcms.gigfa.com/index.php" target="_blank" >برنامه نویس سیستم</a></li>
      <li><a href="http://mehrdaddesign.com/index.php" target="_blank" >نهایت گرافیک</a></li>
      <li><a href="#" onclick="logout()" ><?php $LANG->_e('Logout of management') ?></a></li>
  </ul>
</div>