// Codes.js
var editor;
function addEditor_codes(elm) {
	editor = new nicEditor({dir : live_site+'/engine/editor/',fullPanel : true}).panelInstance(elm);
}
function removeEditor_codes(elm) {
	editor.removeInstance(elm);
}

function floading(selector,location){
if ( location == "txt" ){$(selector).html('<div id="loading"> ...Please Wait</div>')}
else{$(selector).html('<div id="loading"></div>');}
}
function randnumber(){return parseInt(Math.random()*(9999999999999));}

function fade_out(c){
if(!c) c = document.getElementById('mess');
c.alpha = 100;
c.speed = -6;
setTimeout(function(){c.timer = setInterval(function(){change_alpha(c)},30)},6000);
c.onmouseover = function(){c.speed = 6};
c.onmouseout = function(){c.speed = -6};
}

function change_alpha(c){
c.alpha += c.speed;
c.style.opacity = c.alpha / 100;
c.style.filter = 'alpha(opacity=' + c.alpha + ')';
if(c.alpha <= 0){
	clearInterval(c.timer);
	c.style.display = 'none';
}
else if(c.alpha > 100){
	clearInterval(c.timer);
	c.style.display = '';
	fade_out(c);
	c.speed = 6;
}}

function changePriority(pri,type){
var upDownAct = (type=='up') ? -1 : 1;
var chngPri = parseInt(upDownAct)+parseInt(pri);

var temp = document.getElementById('title_'+pri).innerHTML;
document.getElementById('title_'+pri).innerHTML = document.getElementById('title_'+(chngPri)).innerHTML;
document.getElementById('title_'+(chngPri)).innerHTML = temp;

var temp = document.getElementById('data_'+pri).value;
document.getElementById('data_'+pri).value = document.getElementById('data_'+chngPri).value;
document.getElementById('data_'+chngPri).value = temp;
}

function clicked(input){
var TR = document.getElementById('row_'+input.value);
switch(TR.className){
	case 'alternate':TR.className='noalternate';break;
	case 'noalternate':TR.className='alternate';break;
	case 'default':TR.className='nodefault';break;
	case 'nodefault':TR.className='default';break;
}}

function select_all(my,block){
var $container = $('#group_item');
var $input = $container.find(':checkbox[name=select]');
var $block = $container.find(block);
if(true == my.checked){
	$input.each(function(){this.checked=true});
	$block.each(function(){
		if(this.className=='alternate' || this.className=='default')
			this.className='no'+this.className;
	})
}else{
	$input.each(function(){this.checked=false});
	$block.each(function(){
		if(this.className=='noalternate' || this.className=='nodefault')
			this.className=this.className.substring(2);
	})
}}

function add_value(Insert,elm) {
var add = 0;
var elements = elm.getElementsByTagName('input');
if(elements.length==0) return 0;
for(var i=0;i<elements.length;i++){
	if(elements[i].type=='checkbox' || elements[i].type=='radio'){
		if(elements[i].checked) add += parseInt(elements[i].value);
	}
}
document.getElementById(Insert).value = add;
}

function getFormContent(oForm){
var aParams = new Array();
for (var i = 0 ; i < oForm.elements.length; i++ ){
	var element = oForm.elements[i];
	if(element.type == 'radio' || element.type == 'checkbox'){
		if(element.checked) {
			var sParam = element.name;
			sParam += "=" ;
			sParam += encodeURIComponent(element.value);
			aParams.push(sParam);
		}
	}else if(element.nodeName == 'FIELDSET'){}
	else{
		var sParam = element.name;
		sParam += "=" ;
		sParam += encodeURIComponent(element.value);
		aParams.push(sParam);
	}
}
return aParams.join('&');
}

function preview(template){
var htmlcode = document.getElementById('htmlcode').value;
htmlcode = htmlcode.replace(/<-Theme->/g,'../templates/'+template+'/default');
htmlcode = htmlcode.replace(/<[?]/g,'&lt;?');
htmlcode = htmlcode.replace(/[?]>/g,'?&gt;');
var newwindow = window.open('','preview','status=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,height=400,width=500');
newwindow.document.write(htmlcode);
newwindow.focus();
newwindow.document.close();
}

function check_pas_length(length){
var result = document.getElementById('result');
if ( length < 6 ){
	result.innerHTML	=	LANG.err_code+LANG.limit_passchar+'</div>';
	fade_out();
}else{
	result.innerHTML	=	LANG.ok_code+LANG.pass_valid+'</div>';
	fade_out();
}}

function check_pas_confirm(one,two){
var result = document.getElementById('result');
if ( one != '' && two != '' ){
	if ( one == two ){
		result.innerHTML	=	LANG.ok_code+LANG.old_pass_true+'</div>';
		fade_out();
	}else{
		result.innerHTML	=	LANG.err_code+LANG.confirm_pass_not_true+'</div>';
		fade_out();
	}
}}

function check_mail(email,elm){
if ( email != '' ){
	if(email.match(/^[\w.\-]+@\w+[\w.\-]*?\.\w{1,4}$/i))
		elm.innerHTML	=	LANG.ok_code+LANG.email_valid+'</div>';
	else elm.innerHTML	=	LANG.err_code+LANG.email_not_valid+'</div>';
	fade_out();
}}

function check_username(username){
var result = document.getElementById('result');
if ( username != '' && username.length >= 6 ){
	var url = 'management/usernames.php?username='+username	;
	connectto(url,null,result,fade_out);
}else{
	result.innerHTML	=	LANG.err_code+LANG.limit_userchar+'</div>';
	fade_out();
}}

function admin_del(id){
if ( true == confirm(LANG.confirm_admin_del) ){
	var elm = document.getElementById('del_'+id);
	var url = 'management/delete.php?id='+id;
	connectto(url,id,elm);
}}

function member_edit(id,mail){
var index = document.getElementById('index');
floading(index,'img');
var sBody = 'id='+id+'&mail='+mail;
sendcontent2('members/edit.php',index,null,sBody);
}

function update_members(/*type,*/status, msg){
var id= new Array();
$('#group_item :checkbox:checked[name=select]').each(function(){id.push(this.value)});
id = id.join(',');
if (id==''){alert(LANG.link_not_select);return;}
if(status=='send_pm'){
	openLink2('messages/send_pm.php?pmto='+id);
}else if ( (msg && true == confirm(msg)) || !msg ){
	connectto('members/update_members.php?id='+id+'&status='+status,null,document.getElementById('index'),fade_out);
}}

function remove_member_site(id){
if ( true == confirm(LANG.confirm_member_del_site) )
	connectto('members/removesite.php?id='+id,null,document.getElementById('site_'+id),fade_out);
}